package com.zanxiang.game.back.base.rpc;

import com.zanxiang.game.back.base.pojo.dto.TencentAppOrderBackQueryRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentOrderAppRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentRoleRegisterAppRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentUserAppRpcDTO;
import com.zanxiang.game.back.base.pojo.vo.OrderBackQueryRpcVO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 腾讯数据源回传
 */
public interface ITencentAppBackRpc {

    ResultVO<Boolean> backOrder(TencentOrderAppRpcDTO dto);

    ResultVO<Boolean> backUser(TencentUserAppRpcDTO dto);

    ResultVO<Boolean> backRoleRegister(TencentRoleRegisterAppRpcDTO dto);

    ResultVO<OrderBackQueryRpcVO> orderBackQuery(TencentAppOrderBackQueryRpcDTO dto);
}
